mav_objectDataGet(3)

NAME
mav_objectDataGet - Query the data associated with an object.

LEVEL
Maverik Level 1

SYNTAX
void *mav_objectDataGet(MAV_object *o);

ARGUMENTS
Object to query.

DESCRIPTION
This function returns a pointer to the data associated with object o, i.e. the data used to create the object by mav_objectNew.

By necessity the data must be a void pointer so caution must be taken when dereferencing it to a specfic data type.

SEE ALSO
mav_objectNew, mav_objectClassGet, mav_objectDataWith,